## gate.creole.gazetteer
Class Lookup

    java.lang.Object
      |
      +--gate.creole.gazetteer.Lookup

All Implemented Interfaces:
  Serializable

public class Lookup
extends Object
implements Serializable

Used to describe a type of lookup annotations. A lookup is described by a major type a minor type and a list of languages. All these values are strings (the list of languages is a string and it is intended to represesnt a comma separated list).

See Also:
  Serialized Form

Field Summary
`private static boolean` `DEBUG` Debug flag
`String` `languages` The languages for this lookup, e.g.
`String` `majorType` Tha major type for this lookup, e.g.
`String` `minorType` The minor type for this lookup, e.g.

Constructor Summary
`Lookup(String major, String minor, String languages)` Creates a new Lookup value with the given major and minor types and languages.

Method Summary
`boolean` `equals(Object obj)` Two lookups are equal if they have the same string representation (major type and minor type).
`int` `hashCode()`
`String` `toString()` Returns a string representation of this lookup in the format majorType.minorType

Methods inherited from class java.lang.Object
`<clinit>, clone, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### majorType

    public String majorType

  Tha major type for this lookup, e.g. "Organisation"

### minorType

    public String minorType

  The minor type for this lookup, e.g. "Company"

### languages

    public String languages

  The languages for this lookup, e.g. "English, French"

Constructor Detail

### Lookup

    public Lookup(String major,
                  String minor,
                  String languages)

  Creates a new Lookup value with the given major and minor types and languages.
  Parameters:
    `major` -
    `minor` -
    `languages` -

Method Detail

### toString

    public String toString()

  Returns a string representation of this lookup in the format majorType.minorType
  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Two lookups are equal if they have the same string representation (major type and minor type).
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` -

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`